GrailsHibernateTemplate (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate
[Java] Class GrailsHibernateTemplate

    java.lang.Object
      org.springframework.orm.hibernate3.HibernateAccessor
          org.springframework.orm.hibernate3.HibernateTemplate
              org.codehaus.groovy.grails.orm.hibernate.GrailsHibernateTemplate

    public class GrailsHibernateTemplate
    extends org.springframework.orm.hibernate3.HibernateTemplate

Field Summary

Fields inherited from class org.springframework.orm.hibernate3.HibernateTemplate
FLUSH_NEVER, FLUSH_AUTO, FLUSH_EAGER, FLUSH_COMMIT, FLUSH_ALWAYS

Fields inherited from class org.springframework.orm.hibernate3.HibernateAccessor
FLUSH_NEVER, FLUSH_AUTO, FLUSH_EAGER, FLUSH_COMMIT, FLUSH_ALWAYS

Constructor Summary
`GrailsHibernateTemplate()`
`GrailsHibernateTemplate(org.hibernate.SessionFactory sessionFactory, boolean allowCreate)`
`GrailsHibernateTemplate(org.hibernate.SessionFactory sessionFactory)`
`GrailsHibernateTemplate(org.hibernate.SessionFactory sessionFactory, GrailsApplication application)`

Method Summary
`void` | `applySettings(org.hibernate.Query queryObject)`
`void` | `applySettings(org.hibernate.Criteria criteria)`

Methods inherited from class org.springframework.orm.hibernate3.HibernateTemplate
org.springframework.orm.hibernate3.HibernateTemplate#execute(org.springframework.orm.hibernate3.HibernateCallback), org.springframework.orm.hibernate3.HibernateTemplate#lock(java.lang.Object, org.hibernate.LockMode), org.springframework.orm.hibernate3.HibernateTemplate#lock(java.lang.String, java.lang.Object, org.hibernate.LockMode), org.springframework.orm.hibernate3.HibernateTemplate#get(java.lang.Class, java.io.Serializable), org.springframework.orm.hibernate3.HibernateTemplate#get(java.lang.String, java.io.Serializable, org.hibernate.LockMode), org.springframework.orm.hibernate3.HibernateTemplate#get(java.lang.String, java.io.Serializable), org.springframework.orm.hibernate3.HibernateTemplate#get(java.lang.Class, java.io.Serializable, org.hibernate.LockMode), org.springframework.orm.hibernate3.HibernateTemplate#clear(), org.springframework.orm.hibernate3.HibernateTemplate#initialize(java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#loadAll(java.lang.Class), org.springframework.orm.hibernate3.HibernateTemplate#deleteAll(java.util.Collection), org.springframework.orm.hibernate3.HibernateTemplate#contains(java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#load(java.lang.Class, java.io.Serializable), org.springframework.orm.hibernate3.HibernateTemplate#load(java.lang.String, java.io.Serializable, org.hibernate.LockMode), org.springframework.orm.hibernate3.HibernateTemplate#load(java.lang.String, java.io.Serializable), org.springframework.orm.hibernate3.HibernateTemplate#load(java.lang.Class, java.io.Serializable, org.hibernate.LockMode), org.springframework.orm.hibernate3.HibernateTemplate#load(java.lang.Object, java.io.Serializable), org.springframework.orm.hibernate3.HibernateTemplate#find(java.lang.String, [Ljava.lang.Object;), org.springframework.orm.hibernate3.HibernateTemplate#find(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#find(java.lang.String), org.springframework.orm.hibernate3.HibernateTemplate#save(java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#save(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#flush(), org.springframework.orm.hibernate3.HibernateTemplate#delete(java.lang.Object, org.hibernate.LockMode), org.springframework.orm.hibernate3.HibernateTemplate#delete(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#delete(java.lang.String, java.lang.Object, org.hibernate.LockMode), org.springframework.orm.hibernate3.HibernateTemplate#delete(java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#merge(java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#merge(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#update(java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#update(java.lang.Object, org.hibernate.LockMode), org.springframework.orm.hibernate3.HibernateTemplate#update(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#update(java.lang.String, java.lang.Object, org.hibernate.LockMode), org.springframework.orm.hibernate3.HibernateTemplate#iterate(java.lang.String), org.springframework.orm.hibernate3.HibernateTemplate#iterate(java.lang.String, [Ljava.lang.Object;), org.springframework.orm.hibernate3.HibernateTemplate#iterate(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#refresh(java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#refresh(java.lang.Object, org.hibernate.LockMode), org.springframework.orm.hibernate3.HibernateTemplate#setFetchSize(int), org.springframework.orm.hibernate3.HibernateTemplate#getFetchSize(), org.springframework.orm.hibernate3.HibernateTemplate#setMaxResults(int), org.springframework.orm.hibernate3.HibernateTemplate#setAllowCreate(boolean), org.springframework.orm.hibernate3.HibernateTemplate#isAllowCreate(), org.springframework.orm.hibernate3.HibernateTemplate#setAlwaysUseNewSession(boolean), org.springframework.orm.hibernate3.HibernateTemplate#isAlwaysUseNewSession(), org.springframework.orm.hibernate3.HibernateTemplate#setExposeNativeSession(boolean), org.springframework.orm.hibernate3.HibernateTemplate#isExposeNativeSession(), org.springframework.orm.hibernate3.HibernateTemplate#setCheckWriteOperations(boolean), org.springframework.orm.hibernate3.HibernateTemplate#isCheckWriteOperations(), org.springframework.orm.hibernate3.HibernateTemplate#setCacheQueries(boolean), org.springframework.orm.hibernate3.HibernateTemplate#isCacheQueries(), org.springframework.orm.hibernate3.HibernateTemplate#setQueryCacheRegion(java.lang.String), org.springframework.orm.hibernate3.HibernateTemplate#getQueryCacheRegion(), org.springframework.orm.hibernate3.HibernateTemplate#getMaxResults(), org.springframework.orm.hibernate3.HibernateTemplate#executeFind(org.springframework.orm.hibernate3.HibernateCallback), org.springframework.orm.hibernate3.HibernateTemplate#executeWithNewSession(org.springframework.orm.hibernate3.HibernateCallback), org.springframework.orm.hibernate3.HibernateTemplate#executeWithNativeSession(org.springframework.orm.hibernate3.HibernateCallback), org.springframework.orm.hibernate3.HibernateTemplate#enableFilter(java.lang.String), org.springframework.orm.hibernate3.HibernateTemplate#saveOrUpdate(java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#saveOrUpdate(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#saveOrUpdateAll(java.util.Collection), org.springframework.orm.hibernate3.HibernateTemplate#replicate(java.lang.String, java.lang.Object, org.hibernate.ReplicationMode), org.springframework.orm.hibernate3.HibernateTemplate#replicate(java.lang.Object, org.hibernate.ReplicationMode), org.springframework.orm.hibernate3.HibernateTemplate#persist(java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#persist(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#findByNamedParam(java.lang.String, java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#findByNamedParam(java.lang.String, [Ljava.lang.String;, [Ljava.lang.Object;), org.springframework.orm.hibernate3.HibernateTemplate#findByValueBean(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#findByNamedQuery(java.lang.String, [Ljava.lang.Object;), org.springframework.orm.hibernate3.HibernateTemplate#findByNamedQuery(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#findByNamedQuery(java.lang.String), org.springframework.orm.hibernate3.HibernateTemplate#findByNamedQueryAndNamedParam(java.lang.String, java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#findByNamedQueryAndNamedParam(java.lang.String, [Ljava.lang.String;, [Ljava.lang.Object;), org.springframework.orm.hibernate3.HibernateTemplate#findByNamedQueryAndValueBean(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#findByCriteria(org.hibernate.criterion.DetachedCriteria), org.springframework.orm.hibernate3.HibernateTemplate#findByCriteria(org.hibernate.criterion.DetachedCriteria, int, int), org.springframework.orm.hibernate3.HibernateTemplate#findByExample(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#findByExample(java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#findByExample(java.lang.String, java.lang.Object, int, int), org.springframework.orm.hibernate3.HibernateTemplate#findByExample(java.lang.Object, int, int), org.springframework.orm.hibernate3.HibernateTemplate#closeIterator(java.util.Iterator), org.springframework.orm.hibernate3.HibernateTemplate#bulkUpdate(java.lang.String, [Ljava.lang.Object;), org.springframework.orm.hibernate3.HibernateTemplate#bulkUpdate(java.lang.String), org.springframework.orm.hibernate3.HibernateTemplate#bulkUpdate(java.lang.String, java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#evict(java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#setFlushMode(int), org.springframework.orm.hibernate3.HibernateTemplate#afterPropertiesSet(), org.springframework.orm.hibernate3.HibernateTemplate#getFlushMode(), org.springframework.orm.hibernate3.HibernateTemplate#setSessionFactory(org.hibernate.SessionFactory), org.springframework.orm.hibernate3.HibernateTemplate#getSessionFactory(), org.springframework.orm.hibernate3.HibernateTemplate#getEntityInterceptor(), org.springframework.orm.hibernate3.HibernateTemplate#convertHibernateAccessException(org.hibernate.HibernateException), org.springframework.orm.hibernate3.HibernateTemplate#getJdbcExceptionTranslator(), org.springframework.orm.hibernate3.HibernateTemplate#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.orm.hibernate3.HibernateTemplate#setEntityInterceptorBeanName(java.lang.String), org.springframework.orm.hibernate3.HibernateTemplate#setEntityInterceptor(org.hibernate.Interceptor), org.springframework.orm.hibernate3.HibernateTemplate#setJdbcExceptionTranslator(org.springframework.jdbc.support.SQLExceptionTranslator), org.springframework.orm.hibernate3.HibernateTemplate#setFlushModeName(java.lang.String), org.springframework.orm.hibernate3.HibernateTemplate#setFilterName(java.lang.String), org.springframework.orm.hibernate3.HibernateTemplate#setFilterNames([Ljava.lang.String;), org.springframework.orm.hibernate3.HibernateTemplate#getFilterNames(), org.springframework.orm.hibernate3.HibernateTemplate#wait(), org.springframework.orm.hibernate3.HibernateTemplate#wait(long, int), org.springframework.orm.hibernate3.HibernateTemplate#wait(long), org.springframework.orm.hibernate3.HibernateTemplate#equals(java.lang.Object), org.springframework.orm.hibernate3.HibernateTemplate#toString(), org.springframework.orm.hibernate3.HibernateTemplate#hashCode(), org.springframework.orm.hibernate3.HibernateTemplate#getClass(), org.springframework.orm.hibernate3.HibernateTemplate#notify(), org.springframework.orm.hibernate3.HibernateTemplate#notifyAll()

Methods inherited from class org.springframework.orm.hibernate3.HibernateAccessor
org.springframework.orm.hibernate3.HibernateAccessor#setFlushMode(int), org.springframework.orm.hibernate3.HibernateAccessor#afterPropertiesSet(), org.springframework.orm.hibernate3.HibernateAccessor#getFlushMode(), org.springframework.orm.hibernate3.HibernateAccessor#setSessionFactory(org.hibernate.SessionFactory), org.springframework.orm.hibernate3.HibernateAccessor#getSessionFactory(), org.springframework.orm.hibernate3.HibernateAccessor#getEntityInterceptor(), org.springframework.orm.hibernate3.HibernateAccessor#convertHibernateAccessException(org.hibernate.HibernateException), org.springframework.orm.hibernate3.HibernateAccessor#getJdbcExceptionTranslator(), org.springframework.orm.hibernate3.HibernateAccessor#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.orm.hibernate3.HibernateAccessor#setEntityInterceptorBeanName(java.lang.String), org.springframework.orm.hibernate3.HibernateAccessor#setEntityInterceptor(org.hibernate.Interceptor), org.springframework.orm.hibernate3.HibernateAccessor#setJdbcExceptionTranslator(org.springframework.jdbc.support.SQLExceptionTranslator), org.springframework.orm.hibernate3.HibernateAccessor#setFlushModeName(java.lang.String), org.springframework.orm.hibernate3.HibernateAccessor#setFilterName(java.lang.String), org.springframework.orm.hibernate3.HibernateAccessor#setFilterNames([Ljava.lang.String;), org.springframework.orm.hibernate3.HibernateAccessor#getFilterNames(), org.springframework.orm.hibernate3.HibernateAccessor#wait(), org.springframework.orm.hibernate3.HibernateAccessor#wait(long, int), org.springframework.orm.hibernate3.HibernateAccessor#wait(long), org.springframework.orm.hibernate3.HibernateAccessor#equals(java.lang.Object), org.springframework.orm.hibernate3.HibernateAccessor#toString(), org.springframework.orm.hibernate3.HibernateAccessor#hashCode(), org.springframework.orm.hibernate3.HibernateAccessor#getClass(), org.springframework.orm.hibernate3.HibernateAccessor#notify(), org.springframework.orm.hibernate3.HibernateAccessor#notifyAll()

Constructor Detail

### GrailsHibernateTemplate

    public GrailsHibernateTemplate()

### GrailsHibernateTemplate

    public GrailsHibernateTemplate(org.hibernate.SessionFactory sessionFactory, boolean allowCreate)

### GrailsHibernateTemplate

    public GrailsHibernateTemplate(org.hibernate.SessionFactory sessionFactory)

### GrailsHibernateTemplate

    public GrailsHibernateTemplate(org.hibernate.SessionFactory sessionFactory, GrailsApplication application)

Method Detail

### applySettings

    public void applySettings(org.hibernate.Query queryObject)

### applySettings

    public void applySettings(org.hibernate.Criteria criteria)

Groovy Documentation